Create a new issuance
curl --request POST \
--url https://test.didxtech.com/me-creds/api/credentials/issuance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"attributes": {
"first_name": "John",
"last_name": "Doe"
}
}
'import requests
url = "https://test.didxtech.com/me-creds/api/credentials/issuance"
payload = {
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"attributes": {
"first_name": "John",
"last_name": "Doe"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentialTemplateId: 'cm2ytsdid009u4ke3t30aiuvc',
attributes: {first_name: 'John', last_name: 'Doe'}
})
};
fetch('https://test.didxtech.com/me-creds/api/credentials/issuance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "cm7d9cq5600pwk3zq3kmpg8uc",
"status": "offered",
"error": null,
"credentials": [
{
"id": "cm7d9cq5600pzk3zq9wzxxtc3",
"status": "offered",
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"exchange": "openid4vc",
"format": "sd-jwt-vc",
"revocable": false
}
],
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"offerUri": "https://creds-app.test.didxtech.com/invitation?credential_offer_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue",
"offerQrUri": "https://creds-app.test.didxtech.com/invitation?credential_offer_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue&qr=true"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Credentials API
Create a new issuance
deprecated
POST
/
credentials
/
issuance
Create a new issuance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Credential created
Show child attributes
Show child attributes
Example:
{
"id": "cm7d9cq5600pwk3zq3kmpg8uc",
"status": "offered",
"error": null,
"credentials": [
{
"id": "cm7d9cq5600pzk3zq9wzxxtc3",
"status": "offered",
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"exchange": "openid4vc",
"format": "sd-jwt-vc",
"revocable": false
}
],
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"offerUri": "https://creds-app.test.didxtech.com/invitation?credential_offer_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue",
"offerQrUri": "https://creds-app.test.didxtech.com/invitation?credential_offer_uri=https%3A%2F%2Fcreds-app.test.didxtech.com%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue&qr=true"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

